getCloudMongoDbImageProductList

Prev Next

Available in VPC

Get the list of Cloud DB for MongoDB image product codes.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmongodb/v2/getCloudMongoDbImageProductList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code to view the Cloud DB for MongoDB image product code list for
  • See getRegionList
  • First Region of the getRegionList query result (default)
productCode String Optional Filter by Cloud DB for MongoDB image product code
exclusionProductCode String Optional Filter by excluding Cloud DB for MongoDB image product code
generationCode String Optional Server generation code
  • G2 | G3
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbImageProductList
?regionCode=KR
&productCode=SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050
&generationCode=G2
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See ProductList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "getCloudMongoDbImageProductListResponse": {
            "totalRows": 1,
            "productList": [
                {
                    "productCode": "SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050",
                    "productName": "MongoDB 5.0.25 Community Edition",
                    "productType": {
                        "code": "LINUX",
                        "codeName": "Linux"
                    },
                    "productDescription": "CentOS 7.8 with MongoDB 5.0.25 Community Edition",
                    "infraResourceType": {
                        "code": "SW",
                        "codeName": "Software"
                    },
                    "infraResourceDetailType": {
                        "code": "MNGOD",
                        "codeName": "Mongod (Primary&Secondary)"
                    },
                    "baseBlockStorageSize": 53687091200,
                    "platformType": {
                        "code": "LNX64",
                        "codeName": "Linux 64 Bit"
                    },
                    "osInformation": "CentOS 7.8 with MongoDB 5.0.25 Community Edition (64-bit)",
                    "generationCode": "G2",
                    "engineVersionCode": "MongoDB 5.0.25 Community Edition"
                }
            ],
            "requestId": "68dad367-****-****-****-453e3d4190ee",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMongoDbImageProductListResponse>
        <requestId>68dad367-****-****-****-453e3d4190ee</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <productList>
            <product>
                <productCode>SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050</productCode>
                <productName>MongoDB 5.0.25 Community Edition</productName>
                <productType>
                    <code>LINUX</code>
                    <codeName>Linux</codeName>
                </productType>
                <productDescription>CentOS 7.8 with MongoDB 5.0.25 Community Edition</productDescription>
                <infraResourceType>
                    <code>SW</code>
                    <codeName>Software</codeName>
                </infraResourceType>
                <infraResourceDetailType>
                    <code>MNGOD</code>
                    <codeName>Mongod (Primary&amp;Secondary)</codeName>
                </infraResourceDetailType>
                <baseBlockStorageSize>53687091200</baseBlockStorageSize>
                <platformType>
                    <code>LNX64</code>
                    <codeName>Linux 64 Bit</codeName>
                </platformType>
                <osInformation>CentOS 7.8 with MongoDB 5.0.25 Community Edition (64-bit)</osInformation>
                <generationCode>G2</generationCode>
                <engineVersionCode>MongoDB 5.0.25 Community Edition</engineVersionCode>
            </product>
        </productList>
    </getCloudMongoDbImageProductListResponse>